com.icesoft.faces.facelets.component.dialog

## Class Dialog

- java.lang.Object
- - com.icesoft.faces.facelets.component.dialog.Dialog

- All Implemented Interfaces:
    java.io.Serializable

      public class Dialog
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Command` | `cancelCommand`
    `protected java.lang.String` | `cssStyle`
    `protected java.lang.String` | `headerInclude`
    `protected java.lang.String` | `include`
    `protected java.lang.String` | `message`
    `protected java.lang.String` | `message2`
    `protected Command` | `noCommand`
    `static int` | `OK_CANCEL_OPTION` Creates a dialog which has an OK and Cancel option.
    `static int` | `OKAY_OPTION` Creates a dialog which has just a OK button.
    `protected Command` | `okCommand`
    `protected int` | `optionType`
    `protected boolean` | `rendered`
    `protected java.lang.String` | `title`
    `static int` | `YES_NO_CANCEL_OPTION` Creates a dialog which has a Yes, No and Cancel option.
    `static int` | `YES_NO_OPTION` Creates a dialog which has Yes and No button.
    `protected Command` | `yesCommand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dialog()`
    `Dialog(java.lang.String include, int optionType)` Creates a new Dialog which will not be visible by default.
    `Dialog(java.lang.String include, java.lang.String headerInclude, int optionType)` Creates a new Dialog which will not be visible by default.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelButtonAction(javax.faces.event.ActionEvent event)`
    `java.lang.String` | `getCssStyle()`
    `java.lang.String` | `getHeaderInclude()`
    `java.lang.String` | `getInclude()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getMessage2()`
    `int` | `getOptionType()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isCancelButtonVisible()`
    `boolean` | `isNoButtonVisible()`
    `boolean` | `isOkButtonVisible()`
    `boolean` | `isRendered()`
    `boolean` | `isYesButtonVisible()`
    `void` | `noButtonAction(javax.faces.event.ActionEvent event)`
    `void` | `okButtonAction(javax.faces.event.ActionEvent event)` Default behavior is to close the dialog when it is either manually closed or the OK button has been pressed.
    `void` | `setCancelButtonCommand(Command command)` Sets the command which will be executed when the cancel button is pressed.
    `void` | `setCancelButtonVisible(boolean cancelButtonVisible)`
    `void` | `setCssStyle(java.lang.String cssStyle)`
    `void` | `setHeaderInclude(java.lang.String headerInclude)`
    `void` | `setInclude(java.lang.String include)`
    `void` | `setMessage(java.lang.String message)`
    `void` | `setMessage2(java.lang.String message2)`
    `void` | `setNoButtonCommand(Command command)` Sets the command which will be executed when the no button is pressed.
    `void` | `setNoButtonVisible(boolean noButtonVisible)`
    `void` | `setOKButtonCommand(Command command)` Sets the command which will be executed when the OK button is pressed.
    `void` | `setOkButtonVisible(boolean okButtonVisible)`
    `void` | `setOptionType(int optionType)`
    `void` | `setRendered(boolean rendered)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setYesButtonCommand(Command command)` Sets the command which will be executed when the yes button is pressed.
    `void` | `setYesButtonVisible(boolean yesButtonVisible)`
    `void` | `yesButtonAction(javax.faces.event.ActionEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OKAY_OPTION

          public static final int OKAY_OPTION

      Creates a dialog which has just a OK button.
      See Also:
        Constant Field Values

    - #### YES_NO_OPTION

          public static final int YES_NO_OPTION

      Creates a dialog which has Yes and No button.
      See Also:
        Constant Field Values

    - #### YES_NO_CANCEL_OPTION

          public static final int YES_NO_CANCEL_OPTION

      Creates a dialog which has a Yes, No and Cancel option.
      See Also:
        Constant Field Values

    - #### OK_CANCEL_OPTION

          public static final int OK_CANCEL_OPTION

      Creates a dialog which has an OK and Cancel option.
      See Also:
        Constant Field Values

    - #### optionType

          protected int optionType

    - #### title

          protected java.lang.String title

    - #### message

          protected java.lang.String message

    - #### message2

          protected java.lang.String message2

    - #### rendered

          protected boolean rendered

    - #### include

          protected java.lang.String include

    - #### headerInclude

          protected java.lang.String headerInclude

    - #### cssStyle

          protected java.lang.String cssStyle

    - #### yesCommand

          protected Command yesCommand

    - #### okCommand

          protected Command okCommand

    - #### noCommand

          protected Command noCommand

    - #### cancelCommand

          protected Command cancelCommand

  - ### Constructor Detail

    - #### Dialog

          public Dialog()

    - #### Dialog

          public Dialog(java.lang.String include,
                        int optionType)

      Creates a new Dialog which will not be visible by default.
      Parameters:
        `include` - include path to dialog content
        `optionType` - option type

    - #### Dialog

          public Dialog(java.lang.String include,
                        java.lang.String headerInclude,
                        int optionType)

      Creates a new Dialog which will not be visible by default.
      Parameters:
        `include` - include path to dialog content
        `headerInclude` - include path to dialog header content
        `optionType` - option type

  - ### Method Detail

    - #### setOKButtonCommand

          public void setOKButtonCommand(Command command)

      Sets the command which will be executed when the OK button is pressed.
      Parameters:
        `command` - command to execute.

    - #### setYesButtonCommand

          public void setYesButtonCommand(Command command)

      Sets the command which will be executed when the yes button is pressed.
      Parameters:
        `command` - command to execute.

    - #### setNoButtonCommand

          public void setNoButtonCommand(Command command)

      Sets the command which will be executed when the no button is pressed.
      Parameters:
        `command` - command to execute.

    - #### setCancelButtonCommand

          public void setCancelButtonCommand(Command command)

      Sets the command which will be executed when the cancel button is pressed.
      Parameters:
        `command` - command to execute.

    - #### okButtonAction

          public void okButtonAction(javax.faces.event.ActionEvent event)

      Default behavior is to close the dialog when it is either manually closed or the OK button has been pressed.
      Parameters:
        `event` - jsf action event.

    - #### yesButtonAction

          public void yesButtonAction(javax.faces.event.ActionEvent event)

    - #### noButtonAction

          public void noButtonAction(javax.faces.event.ActionEvent event)

    - #### cancelButtonAction

          public void cancelButtonAction(javax.faces.event.ActionEvent event)

    - #### isRendered

          public boolean isRendered()

    - #### setRendered

          public void setRendered(boolean rendered)

    - #### getOptionType

          public int getOptionType()

    - #### setOptionType

          public void setOptionType(int optionType)

    - #### getMessage

          public java.lang.String getMessage()

    - #### setMessage

          public void setMessage(java.lang.String message)

    - #### getInclude

          public java.lang.String getInclude()

    - #### setInclude

          public void setInclude(java.lang.String include)

    - #### getHeaderInclude

          public java.lang.String getHeaderInclude()

    - #### setHeaderInclude

          public void setHeaderInclude(java.lang.String headerInclude)

    - #### getMessage2

          public java.lang.String getMessage2()

    - #### setMessage2

          public void setMessage2(java.lang.String message2)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### isCancelButtonVisible

          public boolean isCancelButtonVisible()

    - #### setCancelButtonVisible

          public void setCancelButtonVisible(boolean cancelButtonVisible)

    - #### isOkButtonVisible

          public boolean isOkButtonVisible()

    - #### setOkButtonVisible

          public void setOkButtonVisible(boolean okButtonVisible)

    - #### isYesButtonVisible

          public boolean isYesButtonVisible()

    - #### setYesButtonVisible

          public void setYesButtonVisible(boolean yesButtonVisible)

    - #### isNoButtonVisible

          public boolean isNoButtonVisible()

    - #### setNoButtonVisible

          public void setNoButtonVisible(boolean noButtonVisible)

    - #### getCssStyle

          public java.lang.String getCssStyle()

    - #### setCssStyle

          public void setCssStyle(java.lang.String cssStyle)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.